Skip to content

Update stock adjustment item

Request

Partially updates an existing Stock Adjustment Item. Only provided fields will be updated.

Security
bearer
Path
siteIdnumberrequired

Site identifier

stockAdjustmentItemIdstringrequired

Stock Adjustment Item unique identifier (UUID)

Bodyapplication/jsonrequired
batchesArray of objects(BatcheDto)

Batch-level breakdown of the stock adjustment.

currencystring

ISO 4217 currency code for the unitPrice.

Example:"CODE-001"
extensionsobject

Vendor- or practice-specific extensions.

ledgerAccountIdstring

Identifier of the ledger account associated with this adjustment line, if applicable.

Example:"123e4567-e89b-12d3-a456-426614174000"
locationIdstring

Identifier of the inventory location where the adjustment is applied.

Example:"123e4567-e89b-12d3-a456-426614174000"
productIdstring

Identifier of the product being adjusted.

Example:"123e4567-e89b-12d3-a456-426614174000"
quantitynumber

Quantity of product adjusted. Positive for increase, negative for decrease.

Example:1.23
stockAdjustmentIdstring

Identifier of the parent stock adjustment.

Example:"123e4567-e89b-12d3-a456-426614174000"
unitPricestring

Unit price of the product at the time of adjustment, represented as a decimal string.

Example:"100.00"
curl -i -X PATCH \
  'https://docs.axiomera.com/_mock/apis/animal-health/openapi/site/{siteId}/ahds/v1/stock-adjustment-item/{stockAdjustmentItemId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "batches": [
      {
        "batchId": "123e4567-e89b-12d3-a456-426614174000",
        "createdAt": "2025-01-01T00:00:00.000Z",
        "expiryDate": "2025-01-01",
        "isActive": true,
        "name": "Example Name",
        "quantity": 1.23,
        "type": "example",
        "updatedAt": "2025-01-01T00:00:00.000Z"
      }
    ],
    "currency": "CODE-001",
    "extensions": {},
    "ledgerAccountId": "123e4567-e89b-12d3-a456-426614174000",
    "locationId": "123e4567-e89b-12d3-a456-426614174000",
    "productId": "123e4567-e89b-12d3-a456-426614174000",
    "quantity": 1.23,
    "stockAdjustmentId": "123e4567-e89b-12d3-a456-426614174000",
    "unitPrice": "100.00"
  }'

Responses

Stock Adjustment Item updated successfully

Bodyapplication/json
batchesArray of objects(BatcheDto)required

Batch-level breakdown of the stock adjustment.

createdAtstring, (date-time)required

Timestamp when this stock adjustment item was created.

Example:"2025-01-01T00:00:00.000Z"
currencystringrequired

ISO 4217 currency code for the unitPrice.

Example:"CODE-001"
extensionsobjectrequired

Vendor- or practice-specific extensions.

ledgerAccountIdstringrequired

Identifier of the ledger account associated with this adjustment line, if applicable.

Example:"123e4567-e89b-12d3-a456-426614174000"
locationIdstringrequired

Identifier of the inventory location where the adjustment is applied.

Example:"123e4567-e89b-12d3-a456-426614174000"
productIdstringrequired

Identifier of the product being adjusted.

Example:"123e4567-e89b-12d3-a456-426614174000"
quantitynumberrequired

Quantity of product adjusted. Positive for increase, negative for decrease.

Example:1.23
stockAdjustmentIdstringrequired

Identifier of the parent stock adjustment.

Example:"123e4567-e89b-12d3-a456-426614174000"
stockAdjustmentItemIdstringrequired

Canonical identifier for this stock adjustment line item.

Example:"123e4567-e89b-12d3-a456-426614174000"
unitPricestringrequired

Unit price of the product at the time of adjustment, represented as a decimal string.

Example:"100.00"
updatedAtstring, (date-time)required

Timestamp when this stock adjustment item was last updated.

Example:"2025-01-01T00:00:00.000Z"
Response
{ "batches": [ { … } ], "createdAt": "2025-01-01T00:00:00.000Z", "currency": "CODE-001", "extensions": {}, "ledgerAccountId": "123e4567-e89b-12d3-a456-426614174000", "locationId": "123e4567-e89b-12d3-a456-426614174000", "productId": "123e4567-e89b-12d3-a456-426614174000", "quantity": 1.23, "stockAdjustmentId": "123e4567-e89b-12d3-a456-426614174000", "stockAdjustmentItemId": "123e4567-e89b-12d3-a456-426614174000", "unitPrice": "100.00", "updatedAt": "2025-01-01T00:00:00.000Z" }